import Vue from 'vue'
import Vuex from 'vuex'
import user from '@/store/modules/user'
import dict from '@/store/modules/dict'
import eikonLevel from '@/store/modules/eikonLevel'
import getters from './getters'

Vue.use(Vuex)

const store = new Vuex.Store({
  modules: {
    dict,
    user,
    eikonLevel
  },
  getters
})

export default store
